#include<iostream>
#include<cmath>
#include<cassert>
#include<limits>

template<typename T>
T f(T x) { return exp(x); }

template<typename T>
T shift(size_t o, T eps) {
  for (size_t i=0;i<o;i++) eps=sqrt(eps);
  return eps;
}

template<typename T>
T df(size_t o, const T& x, T h) {
  if (o==1) return (f(x+h)-f(x-h))/(2*h);
  return (df(o-1,x+h,h)-df(o-1,x-h,h))/(2*h);
}

int main(int argc, char* argv[]) {
  assert(argc==2); 
  using namespace std; 
  int max_o=stoi(argv[1]); assert(max_o>0);
  using T=double; T x=1;
  for (size_t o=1;o<=static_cast<size_t>(max_o);o++) 
    cout << df(o,x,shift(o,std::numeric_limits<T>::epsilon())*fabs(x)) << endl;
  return 0;
}
