#include<iostream>
#include<limits>

template<typename T>
T max_iteratively(size_t n, T x[]) {
  T s=std::numeric_limits<T>::min(); 
  for (size_t i=0;i<n;i++) s=std::max(x[i],s); 
  return s;
}

template<typename T>
T max_recursively(size_t n, T x[]) {
  if (n==1) return x[0]; 
  return std::max(x[n-1],max_recursively(n-1,x));
}

int main() {
  const size_t n=7;
  int x[n]={1,3,2,42,-9,-32,18};
  std::cout << max_iteratively(n,x) << std::endl;
  std::cout << max_recursively(n,x) << std::endl;
  return 0;
}
